//CSE124C Section 4 Lab2: The Yahtzee Game Feb 14 by Haibei Zhang
//card.h

#ifndef card_h
#define card_h

#include <iomanip.h>
#include "cstring.h"


class card
{
private:
	//Name of the player
	Cstring player;

	//Scores stored in each category
	int score[13];

	//Name of each category
	Cstring scName[13];

public:
	//Constructor. Initializes all scores to be -999, initializes player to be "no player", initializes all category names.
	card();

	//Prompts user to input a name from cin and set player as it.
	void inputName();

	//Set the name (player) with a parameter
	void inputName(Cstring aName);

	//Returns data member player 
	Cstring getName();

	//Fills the a_category category with a_score.
	//Range of a_category: 0-12
	//Returns true if a_category is available (-999) and the operation is successful.
	bool setScore(int a_category, int a_score);

	//Returns the score of a specified category
	//Range of a_category: 0-12
	int getScore(int a_category);

	//Prompts user to input a category number and a score and deliver these parameters to method setScore
	void inputScore();



	//Returns total score of upper section (without bonus)
	int upperTotal();

	//Returns bonus of upper section
	int upperBonus();

	//Returns total score of lower section
	int lowerTotal();

	//Prints the whole card
	void printCard();
};

#endif //card_h

