#include "D_time12.h"

//build t from standard time
time24 time12::convert12To24 (int h, int m, timeUnit tunit)
{	if (tunit==AM)
		{
                if (h==12) return time24(0,m);
		else return time24(h,m);
                }
	else if (h==12) return time24(12,m);
		else return time24(h+12,m);
}

//constructor. Initialize time24 data member t
time12::time12(int h, int m, timeUnit tunit)
{
        t=convert12To24(h,m,tunit);
}

//add m minutes to update current time
void time12::addTime(int m)
{	t.addTime(m);

}

//read time in format of HH:MM AM(PM)
void time12::readTime()
{  	char colonSeparator;
	int h12,m12;
	Cstring timeunitstring(2);
 	cin>>h12>>colonSeparator>>m12>>timeunitstring;
	if (timeunitstring=="AM")
		t=convert12To24(h12,m12,AM);
	else 
		t=convert12To24(h12,m12,PM);
}


//write time in format of HH:MM AM(PM)
void time12::writeTime()
{	timeUnit timeOfDay; 
        time24 temp=t;
	if (temp.getHour()>12)
                { temp=temp-time24(12,0);
                  timeOfDay=PM;
		}
	else if (temp.getHour()==0)
                {temp=temp+time24(12,0);
		 timeOfDay=AM;
		}
	else if (temp.getHour()==12)
                timeOfDay=PM;
	else timeOfDay=AM;

	temp.writeTime();
        if (timeOfDay==AM) cout<<"AM";
	else cout<<"PM";
}



int time12::get24h()
{       
	return t.getHour();

}

//input t12 in the format hh:mm AM(PM). may omit the leading digit
//if hours or minutes <10
istream& operator>> (istream& istr, time12& t12)
{
	char separatorChar;
	int h12,m12;
    Cstring tunitString(2);
	istr>>h12>>separatorChar>>m12>>tunitString;
        if (tunitString=="AM") t12=time12(h12,m12,AM);
        else t12=time12(h12,m12,PM);
	return istr;
}


// output t12 in the format hh:mm. always include two digits
// for the minute (e.g. 11:07 AM(PM)). hours before 12 use 1 digit
// and precede the hour by a blank (e.g. " 7:15 AM(PM)")
ostream& operator<< (ostream& ostr, const time12& t12)
{	timeUnit timeOfDay; 
	time24 temp=t12.t;
        if (t12.t.getHour()>12)
                { 
                  temp=temp-time24(12,0);
		  timeOfDay=PM;
		}
	else  if (t12.t.getHour()==0)
                {temp=temp+time24(12,0);
		 timeOfDay=AM;
		}
	else if (t12.t.getHour()==12) timeOfDay=PM;
	else timeOfDay=AM;

        if (timeOfDay==AM) ostr<<temp<<" AM";
	else ostr<<temp<<" PM";
        return ostr;
}

int operator- (const time12& lhs, const time12& rhs)
{
        time24 difference=lhs.t-rhs.t;
        return difference.getHour()*60+difference.getMinute();
}

