//CSE124C Section 4 Lab2: The Yahtzee Game Feb 14 by Haibei Zhang
//card.cpp

#include "card.h"

//Constructor
card::card()
{
	player="no player";


	score[0]=-999;
	score[1]=-999;
	score[2]=-999;
	score[3]=-999;
	score[4]=-999;
	score[5]=-999;
	score[6]=-999;
	score[7]=-999;
	score[8]=-999;
	score[9]=-999;
	score[10]=-999;
	score[11]=-999;
	score[12]=-999;
	//the initial value of all categories is -999
	
	scName[0]="Aces";
	scName[1]="Twos";
	scName[2]="Threes";
	scName[3]="Fours";
	scName[4]="Fives";
	scName[5]="Sixes";
	scName[6]="3 of a kind";
	scName[7]="4 of a kind";
	scName[8]="Full House";
	scName[9]="sm Straight";
	scName[10]="lg Straight";
	scName[11]="YAHTZEE";
	scName[12]="Chances";
}

//Prompt user to input name and set the player private property
void card::inputName()
{
	cout<<"Please Enter Your Name:  ";
	cin>>player;
}

//Set the player private property with the specified name "aName"
void card::inputName(Cstring aName)
{
	player=aName;
}

//Return player
Cstring card::getName()
{
	return player;
}

//Set a category with a score and return true if the category is available
//Do nothing and report an error if the category is unavailable
bool card::setScore(int a_category, int a_score)
{
	if(score[a_category]!=-999)
	{
		cout<<endl<<endl<<"Error: This category is already occupied, try other categories."<<endl;
		return false;
	}
	else
	{
		score[a_category]=a_score;
		return true;
	}
}

int card::getScore(int a_category)
{
	return score[a_category];
}

//Prompt user to select a category to fill in, this method is for Lab 1 only
void card::inputScore()
{
	int cate, scor;
	do
	{
		cout<<"Which category will you fill in?"<<endl<<endl
		<<"(1) - Aces"<<endl
		<<"(2) - Twos"<<endl
		<<"(3) - Threes"<<endl
		<<"(4) - Fours"<<endl
		<<"(5) - Fives"<<endl
		<<"(6) - Sixes"<<endl
		<<"(7) - 3 of a kind"<<endl
		<<"(8) - 4 of a kind"<<endl
		<<"(9) - Full House"<<endl
		<<"(10)- Sm Straight"<<endl
		<<"(11)- Lg Straight"<<endl
		<<"(12)- YAHTZEE"<<endl
		<<"(13)- Chance"<<endl;
		cin>>cate;

		cout<<endl<<"Input the score: ";
		cin>>scor;
	}
	while(!setScore(cate-1, scor));
}

//Return the sum of uppertotal scores, before bonus is included
int card::upperTotal()
{
	int i;
	int upperT=0;
	for (i=0;i<6;i++)
	{
		if(score[i]==-999)
		{
			cout<<"Error: Cannot compute upper total, the category :"<<scName[i]<<" is blank."<<endl;
			return -1;
		}
		else
		{
			upperT+=score[i];
		}
	}
	return upperT;
}

//Return the bonus of upper section
int card::upperBonus()
{
	if(upperTotal()>=63)
		return 35;
	else
		return 0;
}

//Return the sum of lowertotal scores
int card::lowerTotal()
{
	int i;
	int lowerT=0;
	for (i=6;i<13;i++)
	{
		if(score[i]==-999)
		{
			cout<<"Error: Cannot compute lower total, the category :"<<scName[i]<<" is blank."<<endl;
			return -1;
		}
		else
		{
			lowerT+=score[i];
		}
	}
	return lowerT;
}

//Print the whole card to screen
void card::printCard()
{
	cout<<"Player Name: "<<player<<endl<<endl;

	cout<<"Upper Section:"<<endl;
	int i;
	for (i=0;i<6;i++)
		cout<<setiosflags(ios::left)<<setw(30)<<setfill('_')<<scName[i]<<score[i]<<endl;
	cout<<setiosflags(ios::left)<<setw(30)<<setfill('_')<<"Total Score:"<<upperTotal()<<endl;
	cout<<setiosflags(ios::left)<<setw(30)<<setfill('_')<<"Bonus:"<<upperBonus()<<endl;
	cout<<setiosflags(ios::left)<<setw(30)<<setfill('_')<<"Total of Upper Section: "<<upperTotal()+upperBonus()<<endl<<endl<<endl;

	cout<<"Lower Section:"<<endl;
	for (i=6;i<13;i++)
		cout<<setiosflags(ios::left)<<setw(30)<<setfill('_')<<scName[i]<<score[i]<<endl;
	cout<<setiosflags(ios::left)<<setw(30)<<setfill('_')<<"Total of Lower Section: "<<lowerTotal()<<endl<<endl<<endl;

	cout<<setiosflags(ios::left)<<setw(30)<<setfill('_')<<"Grand Total:"<<upperTotal()+upperBonus()+lowerTotal()<<endl;
}
