//CSE124C Section 4 Lab2: The Yahtzee Game Feb 14 by Haibei Zhang
//computerPlayer.cpp

#include "computerPlayer.h"

//Constructor
computerPlayer::computerPlayer()
{
	mycard.inputName("Computer");
}

//Automatically roll all dice, then fill into an available category where the possible score is highest
void computerPlayer::rollAndFill()
{
	cout<<endl<<endl<<"==========Now it's computer player's turn=========="<<endl;
	myhand.rollAll();
	cout<<"Computer Player's result of this hand is:"<<endl;
	myhand.printHand();

	int cate,scor;
	int largest=0;
	int availableCategoryForLargest=0;

	cout<<endl<<"Computer Player is choosing one of these categories to fill:"<<endl
			<<"(1) - Aces"<<".........................."<<(mycard.getScore(0)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(0)==-999?myhand.aces():mycard.getScore(0))<<endl
			<<"(2) - Twos"<<".........................."<<(mycard.getScore(1)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(1)==-999?myhand.twos():mycard.getScore(1))<<endl
			<<"(3) - Threes"<<"........................"<<(mycard.getScore(2)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(2)==-999?myhand.threes():mycard.getScore(2))<<endl
			<<"(4) - Fours"<<"........................."<<(mycard.getScore(3)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(3)==-999?myhand.fours():mycard.getScore(3))<<endl
			<<"(5) - Fives"<<"........................."<<(mycard.getScore(4)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(4)==-999?myhand.fives():mycard.getScore(4))<<endl
			<<"(6) - Sixes"<<"........................."<<(mycard.getScore(5)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(5)==-999?myhand.sixes():mycard.getScore(5))<<endl
			<<"(7) - 3 of a kind"<<"..................."<<(mycard.getScore(6)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(6)==-999?myhand.threeOfAKind():mycard.getScore(6))<<endl
			<<"(8) - 4 of a kind"<<"..................."<<(mycard.getScore(7)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(7)==-999?myhand.fourOfAKind():mycard.getScore(7))<<endl
			<<"(9) - Full House"<<"...................."<<(mycard.getScore(8)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(8)==-999?myhand.fullHouse():mycard.getScore(8))<<endl
			<<"(10)- Sm Straight"<<"..................."<<(mycard.getScore(9)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(9)==-999?myhand.smStraight():mycard.getScore(9))<<endl
			<<"(11)- Lg Straight"<<"..................."<<(mycard.getScore(10)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(10)==-999?myhand.lgStraight():mycard.getScore(10))<<endl
			<<"(12)- YAHTZEE"<<"......................."<<(mycard.getScore(11)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(11)==-999?myhand.yahtzee():mycard.getScore(11))<<endl
			<<"(13)- Chance"<<"........................"<<(mycard.getScore(12)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(12)==-999?myhand.chance():mycard.getScore(12))<<endl<<endl;

	for (cate=0;cate<13;cate++)
	{
		switch (cate+1)
		{
		case 1:
			scor=myhand.aces(); break;
		case 2:
			scor=myhand.twos(); break;
		case 3:
			scor=myhand.threes(); break;
		case 4:
			scor=myhand.fours(); break;
		case 5:
			scor=myhand.fives(); break;
		case 6:
			scor=myhand.sixes(); break;
		case 7:
			scor=myhand.threeOfAKind(); break;
		case 8:
			scor=myhand.fourOfAKind(); break;
		case 9:
			scor=myhand.fullHouse(); break;
		case 10:
			scor=myhand.smStraight(); break;
		case 11:
			scor=myhand.lgStraight(); break;
		case 12:
			scor=myhand.yahtzee(); break;
		case 13:
			scor=myhand.chance(); break;
		}

		if(mycard.getScore(cate)==-999&&scor>=largest)
		{
			largest=scor;
			availableCategoryForLargest=cate;
		}
	}


	cout<<(mycard.setScore(availableCategoryForLargest, largest)?"Computer player has successfully filled a category.":"Computer player encountered an error")<<endl;

	cout<<"The computer has filled the category "<<availableCategoryForLargest+1<<" with a score "<<largest<<endl<<endl<<endl<<endl;
}


//Print the final result of computer player to screen
void computerPlayer::printResult()
{
	cout<<endl<<endl<<"$$$$$$$$$$ Game Over $$$$$$$$$$"<<endl<<endl
		<<"Final Result:"<<endl;
	mycard.printCard();
}