//CSE124C Section 4 Lab2: The Yahtzee Game Feb 14 by Haibei Zhang
//hand.h

#ifndef hand_h
#define hand_h

#include "die.h"

class hand
{
private:
	//Five dice that a hand holds
	die d[5];

public:
	//Initializes all dice by rolling them
	hand();

	//Roll all dice
	void rollAll();

	//Roll one certain die
	//Range of n: 0-4
	void rollOne(int n);

	//Set the value of 5 dice
	//For Test.cpp only!
	void setHand(int v1, int v2, int v3, int v4, int v5);

	//SelectionSort Algrithm,
	//Sort the 5 dice in ascendent order
	void sort();

	//returns the value of ACES
	//if no ACES, returns 0
	int aces();

	//returns the value of Twos
	//if no TWOS, returns 0
	int twos();

	//returns the value of THREES
	//if no THREES, returns 0
	int threes();
	
	//returns the value of FOURS
	//if no FOURS, returns 0
	int fours();

	//returns the value of FIVES
	//if no FIVES, returns 0
	int fives();

	//returns the value of SIXES
	//if no SIXES, returns 0
	int sixes();

	//returns the value of 3 OF A KIND
	//if no 3 OF A KIND, returns 0
	int threeOfAKind();

	//returns the value of 4 OF A KIND
	//if no 4 OF A KIND, returns 0
	int fourOfAKind();

	//returns the value of FULL HOUSE
	//if no FULL HOUSE, returns 0
	int fullHouse();

	//returns the value of SMALL STRAIGHT
	//if no S.M. STRAIGHT, returns 0
	int smStraight();

	//returns the value of LARGE STRAIGHT
	//if no L.G. STRAIGHT, returns 0
	int lgStraight();

	//returns the value of YAHTZEE
	//if no YAHTZEE, returns 0
	int yahtzee();

	//returns the value of CHANCE
	int chance();


	//Prints all 5 dice to cout
	void printHand();

};

#endif //hand_h