//CSE124C Section 4 Lab2: The Yahtzee Game Feb 14 by Haibei Zhang
//player.cpp

#include "player.h"

//Constructor
player::player()
{
	mycard.inputName();
}

//Prompt player to roll and reroll (2 tries), display the final result
void player::roll()
{
	cout<<endl<<endl<<"==========Now it's player "<<mycard.getName()<<" 's turn to start a new hand=========="<<endl;
	myhand.rollAll();
	myhand.printHand();
	for (int reroll=1; reroll<3; reroll++)
	{
		cout<<"Reroll chance "<<reroll<<":"<<endl;
		cout<<"How will you reroll this hand? Input 1 and 0 to choose dice."<<endl;
		cout<<"Example: If you want to reroll 1st and 3rd dice, input 10100"<<endl
			<<"         If you want to reroll 4th and 5th dice, input 00011"<<endl
			<<"         If you don't want to reroll, input 00000"<<endl;
		cin>>rerollchoice;
		for (int rerolldie=0; rerolldie<5; rerolldie++)
		{
			if(rerollchoice.substr(rerolldie,1)=="1")
				myhand.rollOne(rerolldie);
		}
		myhand.printHand();
	}
	
	cout<<endl<<endl<<"Your final result of this hand is:"<<endl;
	myhand.printHand();
}

//Prompt player to fill the result into an available category
void player::fill()
{
	int cate,scor;
	do
	{
		cout<<endl<<endl<<"Which category will you fill in? "<<endl<<endl

			<<"(1) - Aces"<<".........................."<<(mycard.getScore(0)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(0)==-999?myhand.aces():mycard.getScore(0))<<endl
			<<"(2) - Twos"<<".........................."<<(mycard.getScore(1)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(1)==-999?myhand.twos():mycard.getScore(1))<<endl
			<<"(3) - Threes"<<"........................"<<(mycard.getScore(2)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(2)==-999?myhand.threes():mycard.getScore(2))<<endl
			<<"(4) - Fours"<<"........................."<<(mycard.getScore(3)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(3)==-999?myhand.fours():mycard.getScore(3))<<endl
			<<"(5) - Fives"<<"........................."<<(mycard.getScore(4)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(4)==-999?myhand.fives():mycard.getScore(4))<<endl
			<<"(6) - Sixes"<<"........................."<<(mycard.getScore(5)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(5)==-999?myhand.sixes():mycard.getScore(5))<<endl
			<<"(7) - 3 of a kind"<<"..................."<<(mycard.getScore(6)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(6)==-999?myhand.threeOfAKind():mycard.getScore(6))<<endl
			<<"(8) - 4 of a kind"<<"..................."<<(mycard.getScore(7)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(7)==-999?myhand.fourOfAKind():mycard.getScore(7))<<endl
			<<"(9) - Full House"<<"...................."<<(mycard.getScore(8)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(8)==-999?myhand.fullHouse():mycard.getScore(8))<<endl
			<<"(10)- Sm Straight"<<"..................."<<(mycard.getScore(9)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(9)==-999?myhand.smStraight():mycard.getScore(9))<<endl
			<<"(11)- Lg Straight"<<"..................."<<(mycard.getScore(10)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(10)==-999?myhand.lgStraight():mycard.getScore(10))<<endl
			<<"(12)- YAHTZEE"<<"......................."<<(mycard.getScore(11)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(11)==-999?myhand.yahtzee():mycard.getScore(11))<<endl
			<<"(13)- Chance"<<"........................"<<(mycard.getScore(12)==-999?"":"Unavailable! A Score is already filled: ")<<(mycard.getScore(12)==-999?myhand.chance():mycard.getScore(12))<<endl
			<<endl<<"Enter the number of an available category (1-13):"<<endl;
		cin>>cate;

		switch (cate)
		{
		case 1:
			scor=myhand.aces(); break;
		case 2:
			scor=myhand.twos(); break;
		case 3:
			scor=myhand.threes(); break;
		case 4:
			scor=myhand.fours(); break;
		case 5:
			scor=myhand.fives(); break;
		case 6:
			scor=myhand.sixes(); break;
		case 7:
			scor=myhand.threeOfAKind(); break;
		case 8:
			scor=myhand.fourOfAKind(); break;
		case 9:
			scor=myhand.fullHouse(); break;
		case 10:
			scor=myhand.smStraight(); break;
		case 11:
			scor=myhand.lgStraight(); break;
		case 12:
			scor=myhand.yahtzee(); break;
		case 13:
			scor=myhand.chance(); break;
		}

	}
	while(!mycard.setScore(cate-1, scor));

	cout<<"One category Successfully filled, proceeding to next hand......"<<endl<<endl;
}

//Print the final result of this player
void player::printResult()
{
	cout<<endl<<endl<<"$$$$$$$$$$ Game Over $$$$$$$$$$"<<endl<<endl
		<<"Final Result:"<<endl;
	mycard.printCard();
}